package com.sundot.airport.system.mapper;

import java.util.List;

import com.sundot.airport.system.domain.BaseCheckCategory;
import org.apache.ibatis.annotations.Param;

/**
 * 检查项分类Mapper接口
 *
 * @author ruoyi
 * @date 2025-07-11
 */
public interface BaseCheckCategoryMapper {
    /**
     * 查询检查项分类
     *
     * @param id 检查项分类主键
     * @return 检查项分类
     */
    public BaseCheckCategory selectBaseCheckCategoryById(Long id);

    /**
     * 查询检查项分类列表
     *
     * @param baseCheckCategory 检查项分类
     * @return 检查项分类集合
     */
    public List<BaseCheckCategory> selectBaseCheckCategoryList(BaseCheckCategory baseCheckCategory);

    /**
     * 新增检查项分类
     *
     * @param baseCheckCategory 检查项分类
     * @return 结果
     */
    public int insertBaseCheckCategory(BaseCheckCategory baseCheckCategory);

    /**
     * 修改检查项分类
     *
     * @param baseCheckCategory 检查项分类
     * @return 结果
     */
    public int updateBaseCheckCategory(BaseCheckCategory baseCheckCategory);

    /**
     * 删除检查项分类
     *
     * @param id 检查项分类主键
     * @return 结果
     */
    public int deleteBaseCheckCategoryById(Long id);

    /**
     * 批量删除检查项分类
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBaseCheckCategoryByIds(Long[] ids);

    /**
     * 根据ID查询所有子元素
     *
     * @param id ID
     * @return 列表
     */
    public List<BaseCheckCategory> selectChildrenById(Long id);

    /**
     * 修改子元素关系
     *
     * @param list 子元素
     * @return 结果
     */
    public int updateChildren(@Param("list") List<BaseCheckCategory> list);

    /**
     * 根据二级分类名称查询对应的一级分类
     *
     * @param level2Name 二级分类名称
     * @return 一级分类
     */
    public BaseCheckCategory selectLevel1ByLevel2Name(@Param("level2Name") String level2Name);
}
